
[//]: # fs_premium_only_begin

= 3.0.4 (2026-05-27) =
- Added contextual feature descriptions in the dashboard to better explain feed settings and options.

= 3.0.3 (2026-05-12) =
- Added new layouts: Highlight Super, Highlight Discovery, Grid Cards, Masonry Cards.

= 3.0.2 (2026-05-05) =
- Added dependency isolation for core runtime libraries to better protect against third-party plugin conflicts.

= 3.0.1 (2026-04-16) =
- Improved compatibility with LiteSpeed Cache.

= 3.0.0 (2026-03-28) =
- Rebuilt the entire dashboard.
- Added a new widget for the WordPress Block Editor.
- Added shortcode support.
- Added a new widget for Elementor.
- Maximized V3 engine performance for faster loading and rendering.
- Improved automatic media updates from Instagram.
- Updated readme.
- Changed plugin name.
- Added the Slide-out Panel.
- Added Mobile Friendly modes: Smart Snap and Classic Scroll.
- Added the Play in Grid option.
- Added 3 new slider layouts: Cards, Showcase, and Infinite.

= 2.6.17 (2025-10-27) =
- Fixed feed rendering when the widget is placed inside tabs.

= 2.6.16 (2025-09-13) =
- Updated Freemius SDK library.
- Updated Twig library to v3.x.
- Fixed conflict with the "Unlimited Elements For Elementor" plugin.

= 2.6.15 (2025-05-24) =
- Add: Introduced automatic troubleshooting tool that detects and repairs missing or unbound CRON jobs for media updates and token refresh.
- Updated Freemius SDK

= 2.6.14 (2025-05-09) =
- Upgraded to the latest version of the Instagram API.

= 2.6.13 (2025-05-05) =
- Add: Added a new Troubleshooting tab for diagnosing and resolving issues related to CRON jobs.
- Fixed: Improved the reliability and execution of CRON-related functionality.

= 2.6.12 (2025-03-11) =
- Fixed: Resolved issues with certain methods that could cause unexpected behavior in specific scenarios.

= 2.6.11 (2025-02-12) =
- Updated libraries.
- Added new "Load More" functionality. (PRO)

= 2.6.10 (2024-12-23) =
- Adjusted the plugin to work with Swiper 8, as required by the latest versions of Elementor.

= 2.6.9 (2024-12-10) =
- Add: Added support for the new Instagram API:
- Business Basic accounts can now be connected via Instagram login.
- Business Advanced accounts can now be connected via Facebook login.
- Update: Adjusted authentication flow to comply with the discontinuation of the Instagram Basic Display API.

= 2.6.8 (2024-12-09) =
- The ability to connect personal accounts has been blocked due to Facebook discontinuing support for the Instagram Basic Display API as of December 2024.

= 2.6.7 (2024-11-04) =
- Fixed an issue where view paths did not work correctly in certain server configurations.

= 2.6.6 (2024-11-01) =
- Rollback previous version due to issues on some servers

= 2.6.5 (2024-10-31) =
- Update: Updated Twig version.
- Add: Added a new option to hide all posts by default (PRO version).
- Change: Updated minimum PHP version requirement to 7.4.

= 2.6.4 (2024-10-24) =
- Added dynamic fetching of breakpoints for the Slider view. (PRO)
- Improved height control functionality for mobile and tablet resolutions in the Slider layout. (PRO)
- Added the ability to render the widget using either AJAX or PHP, providing greater flexibility in performance optimization.

= 2.6.3 (2024-10-07) =
- Added dynamic fetching of breakpoints for the Slider view. (PRO)
- Improved height control functionality for mobile and tablet resolutions in the Slider layout. (PRO)

= 2.6.2 (2024-09-23) =
- Added column selection functionality for tablet and mobile device views in "Slider" layout.

= 2.6.1 (2024-07-25) =
- Fixed: Issues with images during CRON tasks.

= 2.6.0 (2024-07-23) =
- Changed the feed selection method. Feeds can now be selected in a popup window, providing a better user experience.
- Added a library of predefined templates. (PRO)
- Fixed issues with control handling, including border radius.
- Improved Instagram Reels display by changing the display method from cover to contain.

= 2.5.13 (2024-06-26) =
- Added new Instagram Layout "SHAPE MATRIX". (PRO)
- Added new Instagram Layout "CONTENT GRID". (PRO)
- Added new Instagram Layout "CREATIVE GRID". (PRO)

= 2.5.12 (2024-06-20) =
- Improved the post-loading animation in the "Cards" view.
- Added messages in Elementor controls to improve organization.

= 2.5.11 (2024-06-19) =
- Improved display of "Cards" view.

= 2.5.10 (2024-06-17) =
- Added "Name Display Choice" control.

= 2.5.9 (2024-06-12) =
- The step for selecting the feed type has been removed. Feed type options have been moved to the sidebar.

= 2.5.8 (2024-06-11) =
- Improved names and appearance of Elementor controls.
- Updated readme.

= 2.5.7 (2024-06-10) =
- Enhanced the user experience (UX) and user interface (UI) of the application dashboard.
- Added a button to remove all Instagram data from the site.
- Improved: Organization of sections and controls in Elementor widget.
- Added: 3 paid plans (Essentials, Pro, Unlimited).

= 2.5.6 (2024-05-21) =
- Added "Guides" and "Discover and Use" pages in the plugin dashboard.
- Added SEO support for "img" tags.

= 2.5.5 (2024-05-09) =
- Fixed placeholder photo not being displayed if the video is copyrighted.

= 2.5.4 (2024-05-06) =
- Improved the default layout
- Improved loading of the Cards view in Elementor.

= 2.5.3 (2024-05-02) =
- Improved operation of the "Cards" layout. Arranging cards from left to right.
- Fixed an issue where a placeholder photo would not appear in the popup if the video were unavailable.

= 2.5.2 (2024-04-26) =
- Improved display of reels.
- Improved Row view mobile.
- Improved styles for Cards view.
- Improved Cards view skeleton.

= 2.5.0 (2024-04-24) =
- Added a new feature for displaying posts with a specific "Hashtag".
- Added a new feature display "Tagged Posts".
- Added a new feature display "Combined Posts".
- Added new "Cards" layout
- Added query controls to "Row, Wave, Grid Wave" layouts.
- Added control for changing the number of columns in the "Row" layout.
- Improved styles for "Follow Instagram" buttons.
- Improved link generation from post description.
- Posts from Instagram are now saved in a new post type called "Media Post Type".
- The media import process from Instagram has been improved.

= 2.4.2 (2024-02-29) =
- Fixed the ability to change button content in PopUp
- Fixed icons not displaying when "Font Awesome 4" library support is not set in the Elementor settings panel

= 2.4.1 (2024-02-22) =
- Fixed connect business account

= 2.4.0 (2024-02-17) =
- Added the functionality of automatic e-mail notifications in the event of a critical problem with the channel.
- Added the ability to adjust the frequency of post updates.
- Added Global Settings in dashboard
- Improved notification when Instagram token has expired
- Fixed reconnect Instagram account
- Optimization Image media by 50%

= 2.3.2 (2024-01-20) =
- Fixed focus widget not displaying in Elementor editing.

= 2.3.1 (2024-01-13) =
- Fixed an issue when the widget was in tabs.
- Added Elementor controls for the promote button.
- Functionality of setting the focus element on a mobile view.

= 2.3.0 (2023-12-29) =

- Added drag and drop functionality.
- Added functionality to hide/show posts after specific words in the signature.
- Added functionality to hide/show posts by hashtags.
- Added functionality to hide/show posts based on their type (image, video, carousel album).
- Added the ability to sort posts by (number of likes, number of comments, newest first, oldest first, random).
- Added functionality in which you select the posts you want to show or hide.
- Added functionality for automatic linking from URLs in signatures.
- Added the ability to set a custom link (link Instagram posts to articles, websites, and more).
- Added the ability to set unique link text in the popup window for each post.
- Added the ability to set the link to open in a new or the same tab for each entry.
- Added a message informing the administrator that the token has expired.
- Improved skeleton display in Slider layout
- Updated readme

= 2.2.3 (2023-12-14) =

- Moved views to another folder, fixes path issue on some servers.

= 2.2.2 (2023-12-13) =

- Fixed incorrect paths to Twig files.

= 2.2.1 (2023-12-05) =

- Fixed problem with aria-label.
- Added an alternative to CRON. If CRON is not available, a request for updating the Instagram feed will be sent from the frontend.
- Added skeleton loading animation while waiting for a response from the server.
- Improved the process of hook registration during the activation of the plugin.
- Improved display of information for the control.
- Removed INAVII_SOCIAL_FEED_E PHP class.

= 2.2.0 (2023-11-27) =

- Updated the widget rendering mechanism, switching from PHP to AJAX. This change addresses and resolves the compatibility issue on websites that use caching mechanisms.

= 2.1.1 (2023-10-07) =

- Fixed a bug with deleting old notifications
- Fixed an issue with the username not displaying correctly in mobile view.
- Added a new feature: display Instagram account biography (PRO).
- JS securing when no channel is selected.
- Removed of deprecated code

= 2.1.0 (2023-09-30) =

- Added Access Token Generator
- Added a "Reconnect Account" button
- Improved connection with more Instagram accounts

= 2.0.6 (2023-09-23) =

- Improved the default mobile appearance for all "highlight" views

= 2.0.5 (2023-09-23) =

- Improved default mobile appearances

= 2.0.4 (2023-09-20) =

- Adapting the widget to the new Elementor functionality "Grid Container" and "Flexbox Container"

= 2.0.3 (2023-09-16) =

- Updated registration action hook for widgets in Elementor.
- User interface improvement for layout selection.

= 2.0.2 (2023-09-11) =

- Updated Freemius SDK
- Added trial

= 2.0.1 (2023-08-16) =

- Added mobile view preview functionality with a selected number of Instagram posts
- Improved plugin performance

= 2.0.0 (2023-06-16) =

- The entire management panel in the dashboard has been changed.
- Improved the account linking process with Instagram.
- Improved user experience.
- Improved lightbox display styles for desktop and mobile devices.
- Improved the operation of sliders and the animation of the transition between slides.
- Improved the appearance and behavior of the popup on the settings page in the Dashboard.
- Improvement of cron jobs that update feeds from Instagram.
- Improved the arrangement of arrows in the slider and increased the action for changing slides.
- Improved animation transition when opening and closing a popup/lightbox.
- Optimized media import from Instagram and improved it.
- Limited media import to 100 for optimization purposes.
- Added the ability to change the avatar in the dashboard.
- Fixed bugs when connecting an account to Instagram.
- Fixed an issue with Lightbox displaying incorrectly in some themes.
- Fixed an issue with auto-updating Instagram feed.
- Fixed cropped media of Instagram in the popup box and reduced their size in mobile view.
- Fixed problem with reels
- Added support for video and Instagram carousel album in posts displayed in Elementor.
- Added a Popup to display Instagram media in posts displayed in Elementor.
- Added lightbox in posts displayed in Elementor.
- Added icons to represent the type of Instagram media in posts displayed in Elementor.
- Addition of a header box with an avatar and username.
- Added support for carousel media for Elementor Instagram Feed business accounts.
- Added a button in the management panel to manually update the Instagram feed.
- Added in the management panel information when was the last update of the Instagram feed.
- Added notifications in the management panel that display errors related to updating Instagram feed if they occur.
- Added Instagram username
- Better organization and grouping of controls in the Elementor Instagram Feed editing panel.
- Upgrade Instagram API
- Change User Avatar
- Renamed plugin
- Updated Freemius SDK
- Fixed unprotected js code that caused errors in the console
- Fixed setting default values for typography in the follow button in the header
- Protection against adding empty slides in the popup window for row and wave layout
- Fixed the size of the arrows on the middle slider, which changed depending on the theme.
- Fixed an issue where the dots in the popup were incorrectly positioned.
- Fixed the problem that after selecting more rows in the slider, the view was displayed incorrectly.

[//]: # fs_premium_only_end

[//]: # fs_free_only_begin

= 3.0.3 (2026-05-12) =
- Added new layouts: Highlight Super, Highlight Discovery, Grid Cards, Masonry Cards.

= 3.0.2 (2026-05-05) =
- Added dependency isolation for core runtime libraries to better protect against third-party plugin conflicts.

= 3.0.1 (2026-04-16) =
- Improved compatibility with LiteSpeed Cache.

= 3.0.0 (2026-03-28) =
- Rebuilt the entire dashboard.
- Added a new widget for the WordPress Block Editor.
- Added shortcode support.
- Added a new widget for Elementor.
- Maximized V3 engine performance for faster loading and rendering.
- Improved automatic media updates from Instagram.
- Updated readme.
- Changed plugin name.

= 2.7.12 (2025-09-13) =
- Updated Freemius SDK library.
- Updated Twig library to v3.x.
- Fixed conflict with the "Unlimited Elements For Elementor" plugin.

= 2.7.11 (2025-05-24) =
- Add: Introduced automatic troubleshooting tool that detects and repairs missing or unbound CRON jobs for media updates and token refresh.
- Updated Freemius SDK

= 2.7.10 (2025-05-09) =
- Upgraded to the latest version of the Instagram API.

= 2.7.9 (2025-05-05) =
- Add: Added a new Troubleshooting tab for diagnosing and resolving issues related to CRON jobs.
- Fixed: Improved the reliability and execution of CRON-related functionality.

= 2.7.8 (2025-03-11) =
- Fixed: Resolved issues with certain methods that could cause unexpected behavior in specific scenarios.

= 2.7.7 (2025-02-12) =
- Updated libraries.
- Added new "Load More" functionality. (PRO)

= 2.7.6 (2024-12-23) =
- Adjusted the plugin to work with Swiper 8, as required by the latest versions of Elementor.

= 2.7.5 (2024-12-10) =
- Add: Added support for the new Instagram API:
  - Business Basic accounts can now be connected via Instagram login.
  - Business Advanced accounts can now be connected via Facebook login.
- Update: Adjusted authentication flow to comply with the discontinuation of the Instagram Basic Display API.

= 2.7.4 (2024-12-09) =
- The ability to connect personal accounts has been blocked due to Facebook discontinuing support for the Instagram Basic Display API as of December 2024.

= 2.7.3 (2024-11-04) =
- Fixed an issue where view paths did not work correctly in certain server configurations.

= 2.7.2 (2024-11-01) =
- Rollback previous version due to issues on some servers

= 2.7.1 (2024-10-31) =
- Update: Updated Twig version.
- Add: Added a new option to hide all posts by default (PRO version).
- Change: Updated minimum PHP version requirement to 7.4.

= 2.7.0 (2024-10-24) =
- Added column selection functionality for tablet and mobile device views in "Slider" layout. (PRO)
- Added dynamic fetching of breakpoints for the Slider view. (PRO)
- Improved height control functionality for mobile and tablet resolutions in the Slider layout. (PRO)
- Added the ability to render the widget using either AJAX or PHP, providing greater flexibility in performance optimization.

= 2.6.9 (2024-07-25) =
- Fixed: Issues with images during CRON tasks.

= 2.6.8 (2024-07-23) =
- Changed the feed selection method. Feeds can now be selected in a popup window, providing a better user experience.
- Added a library of predefined templates. (PRO)
- Fixed issues with control handling, including border radius.
- Improved Instagram Reels display by changing the display method from cover to contain.

= 2.6.7 (2024-06-26) =
- Added new Instagram Layout "SHAPE MATRIX". (PRO)
- Added new Instagram Layout "CONTENT GRID". (PRO)
- Added new Instagram Layout "CREATIVE GRID". (PRO)

= 2.6.6 (2024-06-12) =
- The step for selecting the feed type has been removed. Feed type options have been moved to the sidebar.
- Added "Name Display Choice" control.
- Changing the "Pricing" page in the plugin dashboard.

= 2.6.5 (2024-06-10) =
- Improved: UI/UX in the Inavii Social Feed dashboard.
- Improved: Organization of sections and controls in Elementor widget.
- Added: 3 paid plans (Essentials, Pro, Unlimited).
- Improved names and appearance of Elementor controls.
- Updated readme.

= 2.6.4 (2024-05-31) =
- Added a button to remove all Instagram data from the site.

= 2.6.3 (2024-05-09) =
- Fixed placeholder photo not being displayed if the video is copyrighted.
- Added "Guides" and "Discover and Use" pages in the plugin dashboard.
- Added SEO support for "img" tags. (PRO)
- Enhanced the user experience (UX) and user interface (UI) of the application dashboard.

= 2.6.2 (2024-05-06) =
- Improved the default layout
- Improved loading of the Cards view in Elementor. (PRO)
- Improved operation of the "Cards" layout. Arranging cards from left to right. (PRO)
- Fixed an issue where a placeholder photo would not appear in the popup if the video were unavailable.

= 2.6.1 (2024-04-26) =
- Improved display of reels.
- Improved Row view mobile.
- Improved styles for Cards view. (PRO)
- Improved Cards view skeleton. (PRO)

= 2.6.0 (2024-04-24) =
- Added a new feature for displaying posts with a specific "Hashtag". (PRO)
- Added a new feature display "Tagged Posts". (PRO)
- Added a new feature display "Combined Posts". (PRO)
- Added new "Cards" layout. (PRO)
- Added query controls to "Row, Wave, Wave Grid" layouts.
- Added control for changing the number of columns in the "Row" layout.
- Improved styles for "Follow Instagram" buttons.
- Improved link generation from post description.  (PRO)
- Posts from Instagram are now saved in a new post type called "Media Post Type".
- The media import process from Instagram has been improved.

= 2.5.2 (2024-02-29) =
- Fixed the ability to change button content in PopUp
- Fixed icons not displaying when "Font Awesome 4" library support is not set in the Elementor settings panel

= 2.5.1 (2024-02-22) =
- Fixed connect business account

= 2.5.0 (2024-02-17) =
- Added Global Settings in dashboard
- Added the ability to adjust the frequency of post updates.
- Added the functionality of automatic e-mail notifications in the event of a critical problem with the channel. (PRO)
- Added Elementor controls for the promote button. (PRO)
- Fixed reconnect Instagram account
- Fixed focus widget not displaying in Elementor editing.
- Fixed an issue when the widget was in tabs. (PRO)
- Improved notification when Instagram token has expired
- Functionality of setting the focus element on a mobile view. (PRO)
- Optimization Image media by 50%

= 2.4.0 (2023-12-29) =

- Added drag and drop functionality. (PRO)
- Added functionality to hide/show posts after specific words in the signature. (PRO)
- Added functionality to hide/show posts by hashtags. (PRO)
- Added functionality to hide/show posts based on their type (image, video, carousel album). (PRO)
- Added the ability to sort posts by (number of likes, number of comments, newest first, oldest first, random). (PRO)
- Added functionality in which you select the posts you want to show or hide. (PRO)
- Added functionality for automatic linking from URLs in signatures. (PRO)
- Added the ability to set a custom link (link Instagram posts to articles, websites, and more). (PRO)
- Added the ability to set unique link text in the popup window for each post. (PRO)
- Added the ability to set the link to open in a new or the same tab for each entry. (PRO)
- Added a message informing the administrator that the token has expired.
- Improved skeleton display in Slider layout (PRO)
- Updated readme

= 2.3.3 (2023-12-14) =

- Moved views to another folder, fixes path issue on some servers.

= 2.3.2 (2023-12-13) =

- Fixed incorrect paths to Twig files.

= 2.3.1 (2023-12-05) =

- Fixed problem with aria-label.
- Added an alternative to CRON. If CRON is not available, a request for updating the Instagram feed will be sent from the frontend.
- Added skeleton loading animation while waiting for a response from the server.
- Improved the process of hook registration during the activation of the plugin.
- Improved display of information for the control.
- Removed INAVII_SOCIAL_FEED_E PHP class.

= 2.3.0 (2023-11-27) =

- Updated the widget rendering mechanism, switching from PHP to AJAX. This change addresses and resolves the compatibility issue on websites that use caching mechanisms.

= 2.2.1 (2023-10-07) =

- Fixed a bug with deleting old notifications
- Fixed an issue with the username not displaying correctly in mobile view.
- Added a new feature: display Instagram account biography (PRO).
- JS securing when no channel is selected.
- Removed of deprecated code

= 2.2.0 (2023-09-30) =

- Added Access Token Generator
- Added a "Reconnect Account" button
- Improved connection with more Instagram accounts

= 2.1.9 (2023-09-23) =

- Improved default mobile appearances

= 2.1.8 (2023-09-20) =

- Adapting the widget to the new Elementor functionality "Grid Container" and "Flexbox Container"

= 2.1.7 (2023-09-16) =

- Updated registration action hook for widgets in Elementor.
- User interface improvement for layout selection.

= 2.1.6 (2023-09-11) =

- Updated Freemius SDK
- Added trial

= 2.1.5 (2023-08-16) =

- Added mobile view preview functionality with a selected number of Instagram posts
- Improved plugin performance

= 2.1.4 (2023-08-08) =

- Fixed unprotected js code that caused errors in the console
- Fixed setting default values for typography in the follow button in the header
- Protection against adding empty slides in the popup window for row and wave layout
- Fixed the size of the arrows on the middle slider, which changed depending on the theme.
- Fixed an issue where the dots in the popup were incorrectly positioned.
- Fixed the problem that after selecting more rows in the slider, the view was displayed incorrectly.

= 2.1.3 (2023-07-08) =

- Updated Freemius SDK

= 2.1.2 (2023-07-03) =

- Renamed plugin

= 2.1.1 (2023-07-01) =

- Upgrade Instagram API
- Change User Avatar
- Added Instagram username
- Fixed problem with reels

= 2.1.0 (2023-06-16) =

- Fixed an issue with Lightbox displaying incorrectly in some themes.
- Fixed an issue with auto-updating Instagram feed.
- Added the ability to customize the text and icon of the follow button in Popup/Lightbox.
- Added a button in the management panel to manually update the Instagram feed.
- Added in the management panel information when was the last update of the Instagram feed.
- Added notifications in the management panel that display errors related to updating Instagram feed if they occur.

= 2.0.4 (2023-05-20) =

- Fixed JS bugs.
- Fixed styles for the close button of the popup/lightbox.
- Fixed overlapping other elements on the popup.
- Fixed cropped media of Instagram in the popup box and reduced their size in mobile view.
- Fixed slide jumping when closing popup.
- Fixed error in js for Lightbox if not selected layout.
- Improved the appearance and behavior of the popup on the settings page in the Dashboard.
- Improvement of cron jobs that update feeds from Instagram.
- Improved the arrangement of arrows in the slider and increased the action for changing slides.
- Improved animation transition when opening and closing a popup/lightbox.
- Added protection of the direction of the arrangement of elements.
- Added a link in the dashboard that provides information on how to switch to a company account.
- Added a "Follow on Instagram" button in the header box section, and added controls to change styles.
- Added style controls for the entire header box section.
- Removal of the unnecessary wrapper class.
- Better organization and grouping of controls for styles.

= 2.0.3 (2023-05-13) =

- Better organization and grouping of controls in the Elementor Instagram Feed editing panel.
- Removal of the avatar from image items.
- Removal of hover overlay.
- Modification of the Card Layout control and removal of the unnecessary Gallery option.
- Addition of a new option in Photo Options => PopUp.
- Improvements to the performance of sliders in the iOS system.
- Addition of a header box with an avatar and username.
- Added support for carousel media for Elementor Instagram Feed business accounts.

= 2.0.2 (2023-05-11) =

**Fixed**
- Improved lightbox display styles for desktop and mobile devices.
- Improved the operation of sliders and the animation of the transition between slides.

= 2.0.1 (2023-05-07) =

**Fixed**
- Fixed wrong condition for control

= 2.0.0 (2023-05-06) =

- The entire management panel in the dashboard has been changed.
- Improved the account linking process with Instagram.
- Improved user experience.
- Optimized media import from Instagram and improved it.
- Limited media import to 100 for optimization purposes.
- Added the ability to change the avatar in the dashboard.
- Fixed bugs when connecting an account to Instagram.
- Added new views: Gallery, Row, Wave.
- Added some new options in the Elementor widget.
- Added support for video and Instagram carousel album in posts displayed in Elementor.
- Added a Popup to display Instagram media in posts displayed in Elementor.
- Added lightbox in posts displayed in Elementor.
- Added icons to represent the type of Instagram media in posts displayed in Elementor.

= 1.0.3 (2023-01-14) =

**Fixed**
- Fixed a bug with importing all media from Instagram

= 1.0.2 (2022-12-14) =

**Fixed**
- Fixed WordPress admin bar scrolling in the dashboard
- Correcting styles for img and p tag

= 1.0.0 (2022-12-10) =

- Initial version.
  [//]: # fs_free_only_end
  == Upgrade Notice ==
